All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.ipage
Class BaseIPageTag

    com.sas.taglib.servlet.tbeans.ipage.BaseIPageTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

Direct Known Subclasses:
  BaseIFormElementTag, IFormTag, IMenuTag, ITextTag

    public class BaseIPageTag

BaseIPageTag is the base class for other iPage custom tag handlers. BaseIPageTag is invoked by an iPage tag on the JSP page during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean.

See Also:
  `BaseIPage`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`BaseIPageTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the attributes on the underlying ipage object.
`int` | `getCacheTimeToLive()` Gets the cacheTimeToLive for the bean
`java.lang.String` | `getTitle()` Gets the title for the bean
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setCacheTimeToLive(int cacheTimeToLive)` Sets the cacheTimeToLive in seconds for the bean.
`void` | `setTitle(java.lang.String title)` Sets the title for the bean

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`doEndTag, doStartTag, getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### BaseIPageTag

    public BaseIPageTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseTransformationBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setCacheTimeToLive

    public void setCacheTimeToLive(int cacheTimeToLive)

  Sets the cacheTimeToLive in seconds for the bean.

  Parameters:
    `cacheTimeToLive` - The cacheTimeToLive in seconds of the bean.

### getCacheTimeToLive

    public int getCacheTimeToLive()

  Gets the cacheTimeToLive for the bean

  Returns:
    the cacheTimeToLive

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title for the bean

  Parameters:
    `title` - The title of the bean.

### getTitle

    public java.lang.String getTitle()

  Gets the title for the bean

  Returns:
    the title

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the attributes on the underlying ipage object.

  Overrides:
    `applyAttributes` in class `BaseTransformationBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.